org.kie.api.osgi

## Class Activator.DroolsServiceTracker

- java.lang.Object
- - org.kie.api.osgi.Activator.DroolsServiceTracker

- All Implemented Interfaces:
    org.osgi.util.tracker.ServiceTrackerCustomizer
  Enclosing class:
    Activator

      public static class Activator.DroolsServiceTracker
      extends Object
      implements org.osgi.util.tracker.ServiceTrackerCustomizer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Activator.DroolsServiceTracker(org.osgi.framework.BundleContext bc, Activator activator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `addingService(org.osgi.framework.ServiceReference ref)`
    `void` | `modifiedService(org.osgi.framework.ServiceReference arg0, Object arg1)`
    `void` | `removedService(org.osgi.framework.ServiceReference ref, Object arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### Activator.DroolsServiceTracker

          public Activator.DroolsServiceTracker(org.osgi.framework.BundleContext bc,
                                        Activator activator)

  - ### Method Detail

    - #### addingService

          public Object addingService(org.osgi.framework.ServiceReference ref)

      Specified by:
        `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

    - #### modifiedService

          public void modifiedService(org.osgi.framework.ServiceReference arg0,
                             Object arg1)

      Specified by:
        `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

    - #### removedService

          public void removedService(org.osgi.framework.ServiceReference ref,
                            Object arg1)

      Specified by:
        `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.